## DOMAINRESO documentation

## CONTENTS

1.0 SUMMARY
2.0 INPUTS & OUTPUTS
3.0 INPUT FILE FORMAT
4.0 OUTPUT FILE FORMAT
5.0 DATA FILES
6.0 USAGE
7.0 KNOWN BUGS & WARNINGS
8.0 NOTES
9.0 DESCRIPTION
10.0 ALGORITHM
11.0 RELATED APPLICATIONS
12.0 DIAGNOSTIC ERROR MESSAGES
13.0 AUTHORS
14.0 REFERENCES

## 1.0 SUMMARY

Removes low resolution domains from a DCF file (domain classification file)

## 2.0 INPUTS & OUTPUTS

DOMAINRESO reads a DCF file and writes a DCF file containing the same domains excluding those whose resolution (Angstrom) of structure determination exceeds a user-defined threshold. The resolution data are taken from CCF (clean coordinate files) whose path and file extension (via the ACD file) are specified by the user. The names of the input and output files are also specified by the user.

## 3.0 INPUT FILE FORMAT

The format of the DCF file is described in the SCOPPARSE documentation.

### Input files for usage example

### File: all.scop

    ID   D1CS4A_
    XX
    EN   1CS4
    XX
    TY   SCOP
    XX
    SI   53931 CL; 54861 FO; 55073 SF; 55074 FA; 55077 DO; 55078 SO; 39418 DD;
    XX
    CL   Alpha and beta proteins (a+b)
    XX
    FO   Ferredoxin-like
    XX
    SF   Adenylyl and guanylyl cyclase catalytic domain
    XX
    FA   Adenylyl and guanylyl cyclase catalytic domain
    XX
    DO   Adenylyl cyclase VC1, domain C1a
    XX
    OS   Dog (Canis familiaris)
    XX
    NC   1
    XX
    CN   [1]
    XX
    CH   A CHAIN; . START; . END;
    //
    ID   D1II7A_
    XX
    EN   1II7
    XX
    TY   SCOP
    XX
    SI   53931 CL; 56299 FO; 56300 SF; 64427 FA; 64428 DO; 64429 SO; 62415 DD;
    XX
    CL   Alpha and beta proteins (a+b)
    XX
    FO   Metallo-dependent phosphatases
    XX
    SF   Metallo-dependent phosphatases
    XX
    FA   DNA double-strand break repair nuclease
    XX
    DO   Mre11
    XX
    OS   Archaeon Pyrococcus furiosus
    XX
    NC   1
    XX
    CN   [1]
    XX
    CH   A CHAIN; . START; . END;
    //

## 4.0 OUTPUT FILE FORMAT

The format of the DCF file is described in the SCOPPARSE documentation.

### Output files for usage example

### File: all_2.3.scop

    ID   D1II7A_
    XX
    EN   1II7
    XX
    TY   SCOP
    XX
    SI   53931 CL; 56299 FO; 56300 SF; 64427 FA; 64428 DO; 64429 SO; 62415 DD;
    XX
    CL   Alpha and beta proteins (a+b)
    XX
    FO   Metallo-dependent phosphatases
    XX
    SF   Metallo-dependent phosphatases
    XX
    FA   DNA double-strand break repair nuclease
    XX
    DO   Mre11
    XX
    OS   Archaeon Pyrococcus furiosus
    XX
    NC   1
    XX
    CN   [1]
    XX
    CH   A CHAIN; . START; . END;
    //

## 5.0 DATA FILES

DOMAINRESO does not use any data files.

## 6.0 USAGE

### 6.1 COMMAND LINE ARGUMENTS

       Standard (Mandatory) qualifiers:
      [-cpdbpath]          dirlist    This option specifies the location of domain
                                      CCF file (clean coordinate files) (input).
                                      A 'clean cordinate file' contains coordinate
                                      and other data for a single PDB file or a
                                      single domain from SCOP or CATH, in CCF
                                      format (EMBL-like). The files, generated by
                                      using PDBPARSE (pdb files) or DOMAINER
                                      (domains), contain 'cleaned-up' data that is
                                      self-consistent and error-corrected.
                                      Records for residue solvent accessibility
                                      and secondary structure are added to the
                                      file by using PDBPLUS.
      [-dcfinfile]         infile     This option specifies the name of DCF file
                                      (domain classification file) (input). A
                                      'domain classification file' contains
                                      classification and other data for domains
                                      from SCOP or CATH, in DCF format
                                      (EMBL-like). The files are generated by
                                      using SCOPPARSE and CATHPARSE. Domain
                                      sequence information can be added to the
                                      file by using DOMAINSEQS.
       -threshold          float      This option specifies the threshold for
                                      inclusion (Angstroms). Domains exceeding the
                                      threshold for inclusion (Angstroms) will
                                      not be given in the output file.
      [-dcfoutfile]        outfile    This option specifies the name of DCF file
                                      (domain classification file) (output). A
                                      'domain classification file' contains
                                      classification and other data for domains
                                      from SCOP or CATH, in DCF format
                                      (EMBL-like). The files are generated by
                                      using SCOPPARSE and CATHPARSE. Domain
                                      sequence information can be added to the
                                      file by using DOMAINSEQS.

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-dcfoutfile" associated qualifiers
       -odirectory3        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write standard output
       -filter             boolean    Read standard input, write standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---

[-cpdbpath]
(Parameter 1)

This option specifies the location of domain CCF file (clean coordinate files) (input). A 'clean cordinate file' contains coordinate and other data for a single PDB file or a single domain from SCOP or CATH, in CCF format (EMBL-like). The files, generated by using PDBPARSE (pdb files) or DOMAINER (domains), contain 'cleaned-up' data that is self-consistent and error-corrected. Records for residue solvent accessibility and secondary structure are added to the file by using PDBPLUS.

Directory with files

./

[-dcfinfile] (Parameter 2) | This option specifies the name of DCF file (domain classification file) (input). A 'domain classification file' contains classification and other data for domains from SCOP or CATH, in DCF format (EMBL-like). The files are generated by using SCOPPARSE and CATHPARSE. Domain sequence information can be added to the file by using DOMAINSEQS. | Input file | Required
-threshold | This option specifies the threshold for inclusion (Angstroms). Domains exceeding the threshold for inclusion (Angstroms) will not be given in the output file. | Any numeric value | 2.8
[-dcfoutfile] (Parameter 3) | This option specifies the name of DCF file (domain classification file) (output). A 'domain classification file' contains classification and other data for domains from SCOP or CATH, in DCF format (EMBL-like). The files are generated by using SCOPPARSE and CATHPARSE. Domain sequence information can be added to the file by using DOMAINSEQS. | Output file | test.scop
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

### 6.2 EXAMPLE SESSION

An example of interactive use of DOMAINRESO is shown below. The DCF file /test_data/all.scop was read and a DCF file called /test_data/domainreso/all_2.3.scop was written containing only those domains of 2.3 Angstrom resolution or better. Resolution data were taken from domain coordinte files in the directory /test_data. Here is a sample session with domainreso

    % domainreso
    Removes low resolution domains from a DCF file (domain classification
    file).
    Location of domain CCF file (clean coordinate files) (input). [./]: structure
    Name of DCF file (domain classification file) (input).: all.scop
    Threshold for inclusion (Angstroms). [2.8]: 2.3
    Name of DCF file (domain classification file) (output). [test.scop]: all_2.3.scop

    /ebi/services/idata/pmr/hgmp/test/data/structure/1cs4.ccf
    /ebi/services/idata/pmr/hgmp/test/data/structure/1ii7.ccf
    /ebi/services/idata/pmr/hgmp/test/data/structure/d1cs4a_.ccf
    /ebi/services/idata/pmr/hgmp/test/data/structure/d1ii7a_.ccf

Go to the input files for this example
Go to the output files for this example

The following command line would achieve the same result.

    domainreso /test_data /test_data/all.scop /test_data/domainreso/all_2.3.scop -threshold 2.3

## 7.0 KNOWN BUGS & WARNINGS

No known bugs.

## 8.0 NOTES

Domains that lack a value for resolution in the CCF file (e.g. theoretical models and NMR structures) are included in the output file.

### 8.1 GLOSSARY OF FILE TYPES

FILE TYPE | FORMAT | DESCRIPTION | CREATED BY | SEE ALSO
Domain classification file (for SCOP) | DCF format (EMBL-like format for domain classification data). | Classification and other data for domains from SCOP. | SCOPPARSE | Domain sequence information can be added to the file by using DOMAINSEQS.
Domain classification file (for CATH) | DCF format (EMBL-like format for domain classification data). | Classification and other data for domains from CATH. | CATHPARSE | Domain sequence information can be added to the file by using DOMAINSEQS.
Clean coordinate file (for domain) | CCF format (EMBL-like format for protein coordinate and derived data). | Coordinate and other data for a single domain from SCOP or CATH. The data are 'cleaned-up': self-consistent and error-corrected. | DOMAINER | Records for residue solvent accessibility and secondary structure are added to the file by using PDBPLUS.

None

## 9.0 DESCRIPTION

It is desirable to omit poor resolution protein structures when performing certain analyses of protein domains. DOMAINRESO reads a DCF file (domain classification file) and writes one containing the same domains excluding those whose resolution (Angstrom) of structure determination exceeds a user-defined threshold.

## 10.0 ALGORITHM

None.

## 11.0 RELATED APPLICATIONS

## See also

Program name | Description
--- | ---
contactcount | Counts specific versus non-specific contacts in a directory of cleaned protein chain contact files
contacts | Reads CCF files (clean coordinate files) and writes CON files (contact files) of intra-chain residue-residue contact data
domainalign | Generates DAF files (domain alignment files) of structure-based sequence alignments for nodes in a DCF file (domain classification file)
domainrep | Reorder DCF file (domain classification file) so that the representative structure of each user-specified node is given first
interface | Reads CCF files (clean coordinate files) and writes CON files (contact files) of inter-chain residue-residue contact data
libgen | Generates various types of discriminating elements for each alignment in a directory
psiphi | Calculates phi and psi torsion angles from cleaned EMBOSS-style protein co-ordinate file
rocon | Reads a DHF file (domain hits file) of hits (sequences of unknown structural classification) and a DHF file of validation sequences (known classification) and writes a 'hits file' for the hits, which are classified and rank-ordered on the basis of score
rocplot | Provides interpretation and graphical display of the performance of discriminating elements (e.g. profiles for protein families). rocplot reads file(s) of hits from discriminator-database search(es), performs ROC analysis on the hits, and writes graphs illustrating the diagnostic performance of the discriminating elements
seqalign | Reads a DAF file (domain alignment file) and a DHF file (domain hits file) and writes a DAF file extended with the hits
seqfraggle | Removes fragments from DHF files (domain hits files) or other files of sequences
seqsearch | Generate database hits (sequences) for nodes in a DCF file (domain classification file) by using PSI-BLAST
seqsort | Reads DHF files (domain hits files) of database hits (sequences) and removes hits of ambiguous classification
seqwords | Generates DHF files (domain hits files) of database hits (sequences) for nodes in a DCF file (domain classification file) by keyword search of UniProt
siggen | Generates a sparse protein signature from an alignment and residue contact data
sigscan | Generates a DHF file (domain hits file) of hits (sequences) from scanning a signature against a sequence database

## 12.0 DIAGNOSTIC ERROR MESSAGES

None.

## 13.0 AUTHORS

Mat Blades (Matthew.Blades@astrazeneca.com)
Jon Ison (jison@rfcgr.mrc.ac.uk)
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

## 14.0 REFERENCES

Please cite the authors and EMBOSS.
Rice P, Longden I and Bleasby A (2000) "EMBOSS - The European Molecular Biology Open Software Suite" Trends in Genetics, 15:276-278.

See also http://emboss.sourceforge.net/

### 14.1 Other useful references